## sunflow 0.07.2.svn396%2Bdfsg

=== debian/changelog ===
sunflow (0.07.2.svn396+dfsg-18) unstable; urgency=medium

  * Build-Depend on python3-all (Closes: #938599)
  * Drop get-orig-source target from debian/rules
  * Remove variables related to get-orig-source in debian/rules
  * Drop build-dep on cdbs and use dh sequencer
  * Update doc-base to for /usr/share/doc/libsunflow-java
  * Use debhelper 12
  * Bump Standards-Version to 4.4.0
  * Convert Blender3D sunflow_export.py from Python 2 -> 3

 -- tony mancill <tmancill@debian.org>  Tue, 03 Sep 2019 09:25:01 -0700

sunflow (0.07.2.svn396+dfsg-17) unstable; urgency=medium

  * Team upload.
  * debian/control: Use priority optional.
  * wrap-and-sort -sa.
  * Declare compliance with Debian Policy 4.1.4.
  * Use canonical VCS address.
  * sunflow: Depend on alternative java8-runtime as well.
  * Drop B-D on libmagickcore-6.q16-2-extra.
  * Use https for Format field.
  * sunflow.desktop: Add a comment in German.
  * Don't convert svg icon into xpm or png format. Install the svg icon
    into hicolor icon directory and use that as our preferred desktop icon.
    (Closes: #897533)

 -- Markus Koschany <apo@debian.org>  Tue, 03 Jul 2018 17:01:58 +0200

sunflow (0.07.2.svn396+dfsg-16) unstable; urgency=medium

  * Upload to unstable.
  * Bump Standards-Version to 4.0.0

 -- tony mancill <tmancill@debian.org>  Thu, 22 Jun 2017 21:04:34 -0700

sunflow (0.07.2.svn396+dfsg-15) experimental; urgency=medium

  * Remove Gabriele Giacone <1o5g4r8o@gmail.com> from Uploaders
    (Closes: #856768)
  * Use debhelper 10 and set debian/compat accordingly.
  * Bump Standards-Version to 3.9.8
  * Add build-dep on dh-python
  * Address lintian warning in debian/copyright.
  * Remove debian/menu as per #741573.

 -- tony mancill <tmancill@debian.org>  Sun, 19 Mar 2017 11:26:40 -0700

sunflow (0.07.2.svn396+dfsg-14) unstable; urgency=medium

  * Team upload.
  * Patch debian/rules to make the build reproducible. (Closes: #778702)
    - Thanks to Reiner Herrmann for the bug report and patch.
  * Bump Standards-Version to 3.9.6 (no changes).
  * Clean up debian/copyright.

 -- tony mancill <tmancill@debian.org>  Thu, 19 Feb 2015 22:55:59 -0800

sunflow (0.07.2.svn396+dfsg-13) unstable; urgency=medium

  * Team upload.
  * Build depend on libmagickcore-6.q16-2-extra instead of libmagickcore-extra
    (Closes: #761550)
  * Switch to debhelper level 9

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 15 Sep 2014 23:06:41 +0200

sunflow (0.07.2.svn396+dfsg-12) unstable; urgency=medium

  * Move from collab-maint to pkg-java, "public" package.
  * Bump Standards Version to 3.9.5 (no changes).

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sun, 03 Aug 2014 01:58:03 +0200

sunflow (0.07.2.svn396+dfsg-11) unstable; urgency=medium

  * Refresh 30_sweethome3d patch according to sweethome3d 4.4 (all changes).

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Wed, 09 Jul 2014 14:41:38 +0200

sunflow (0.07.2.svn396+dfsg-10) unstable; urgency=low

  * Refresh 30_sweethome3d patch according to sweethome3d 4.1 (all changes).
  * Bump Standards Version to 3.9.4 (no changes).
  * Canonical URI in VCS-* fields.
  * Remove DMUA flag.
  * Fix d/copyright according to format 1.0.
  * Switch to dh_python2.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Mon, 26 Aug 2013 11:16:44 +0200

sunflow (0.07.2.svn396+dfsg-9) unstable; urgency=low

  * Replace libmagickcore3-extra with libmagickcore-extra (Closes: #628851).
  * Bump Standards Version to 3.9.2 (no changes).
  * Update 30_sweethome3d patch according to sweethome3d 3.3.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Thu, 04 Aug 2011 00:52:34 +0200

sunflow (0.07.2.svn396+dfsg-8) unstable; urgency=low

  * Update 30_sweethome3d patch according to sweethome3d 3.1.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sun, 20 Mar 2011 16:04:52 +0100

sunflow (0.07.2.svn396+dfsg-7) unstable; urgency=low

  * Update 30_sweethome3d patch according to sweethome3d 3.0.
    Main changes from original:
    + Added transparency management
    + Added bitmap transparency support
    + Made texture cache local to a SunFlow API instance
    + Replaced task management with interruptions

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Thu, 30 Dec 2010 05:16:45 +0100

sunflow (0.07.2.svn396+dfsg-6) unstable; urgency=low

  * Standards version to 3.9.1.
  * Fixed upgrade from lenny (Closes: #601995).

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Mon, 01 Nov 2010 03:37:35 +0100

sunflow (0.07.2.svn396+dfsg-5) unstable; urgency=low

  * Added 30_sweethome3d patch to apply some changes for sweethome3d.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sat, 26 Jun 2010 19:10:33 +0200

sunflow (0.07.2.svn396+dfsg-4) unstable; urgency=low

  * Fixed upgrade process from -2: sunflow replaces libsunflow-java and
    libsunflow-java replaces sunflow (Closes: #581921).

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Mon, 17 May 2010 21:28:38 +0200

sunflow (0.07.2.svn396+dfsg-3) unstable; urgency=low

  * Swap between sunflow and libsunflow-java.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sun, 16 May 2010 20:41:09 +0200

sunflow (0.07.2.svn396+dfsg-2) unstable; urgency=low

  * sunflow binary splits among sunflow, libsunflow-java, libsunflow-java-doc.
  * Back to imagemagick for image conversion.
  * Added watchfile.
  * Added get-orig-source target.
  * Removed d/README.Debian.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sun, 02 May 2010 20:33:03 +0200

sunflow (0.07.2.svn396+dfsg-1) unstable; urgency=low

  * Latest SVN snapshot (Closes: #557230)
  * Source format 3.0 (quilt)
    - Removed quilt from Build-Depends
    - Updated d/rules accordingly
  * Replaced imagemagick with librsvg2-bin to convert svg
  * Added README.source
    - janino.jar removed from upstream tarball
  * d/compat to 7
  * d/copyright in DEP-5 format
  * d/control:
    - Section: from graphics to java
    - Depends: J(DK|RE)s replaced with default-j(dk|re)
    - Standards-Version: from 3.8.0 to 3.8.4
  * d/rules:
    - Removed get-orig-source target
  * d/patches:
    - DEP-3 format

