=== debian/control ===
Source: sunflow
Section: graphics
Priority: extra
Maintainer: Gabriele Giacone <1o5g4r8o@gmail.com>
Build-Depends: cdbs, debhelper (>= 7), ant, imagemagick, default-jdk,
 libmagickcore-extra
Build-Depends-Indep: janino, python-support
Standards-Version: 3.9.2
DM-Upload-Allowed: yes
Homepage: http://sunflow.sourceforge.net/
Vcs-Browser: http://git.debian.org/?p=collab-maint/sunflow.git
Vcs-Git: git://git.debian.org/git/collab-maint/sunflow.git

Package: sunflow
Architecture: all
Depends: default-jre, libsunflow-java, ${python:Depends}, ${misc:Depends}
Replaces: libsunflow-java (= 0.07.2.svn396+dfsg-2)
Description: rendering system for photo-realistic image synthesis (GUI)
 Sunflow is an open source rendering system for photo-realistic image
 synthesis. It is written in Java and built around a flexible ray
 tracing core and an extensible object-oriented design. It was created
 as a framework for experimenting with global illumination algorithms
 and new surface shading models.
 .
 This package contains the sunflow GUI.

Package: libsunflow-java
Architecture: all
Section: java
Depends: janino, ${misc:Depends}
Replaces: sunflow (<= 0.07.2.svn396+dfsg-2)
Description: rendering system for photo-realistic image synthesis
 Sunflow is an open source rendering system for photo-realistic image
 synthesis. It is written in Java and built around a flexible ray
 tracing core and an extensible object-oriented design. It was created
 as a framework for experimenting with global illumination algorithms
 and new surface shading models.

Package: libsunflow-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libsunflow-java, sunflow
Description: rendering system for photo-realistic image synthesis (javadoc)
 Sunflow is an open source rendering system for photo-realistic image
 synthesis. It is written in Java and built around a flexible ray
 tracing core and an extensible object-oriented design. It was created
 as a framework for experimenting with global illumination algorithms
 and new surface shading models.
 .
 This is the API documentation for sunflow
